<?php


namespace Mehrab\Payment\Gateways;


use Mehrab\Payment\Contracts\GatewayContract;
use Mehrab\Payment\Models\Payment;

class Gateway implements GatewayContract
{

    public function request($amount,$order_id)
    {
        // TODO: Implement request() method.
    }

    public function verify(Payment $payment)
    {
        // TODO: Implement verify() method.
    }

    public function redirect()
    {
        // TODO: Implement redirect() method.
    }

    public function getName()
    {
        // TODO: Implement getName() method.
    }
}
